Imports C1.C1Preview
Imports C1.Win.C1Preview

Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim doc As New C1PrintDocument
        Dim i As Integer

        '' prevent end users from reflowing document (may be useful if
        '' margins are set to specific paper-dependent values etc.):
        doc.DisableUserReflow = True

        '' running header (on all but the last page):
        Dim footer As New RenderText("Page [PageNo] of [PageCount]" & vbTab & "Sample document" & vbTab & "Created on [GeneratedDateTime]")
        footer.TabPositions.Add(0, TabAlignmentEnum.Left)
        footer.TabPositions.Add("page.width/2", TabAlignmentEnum.Center)
        footer.TabPositions.Add("page.width", TabAlignmentEnum.Right)
        footer.Style.Padding.Top = "1cm"
        doc.PageLayout.PageFooter = footer

        '' last page layout:
        doc.PageLayouts.LastPage = New PageLayout()
        doc.PageLayouts.LastPage.PageFooter = New RenderEmpty

        '' sample document body (before tear-off):
        For i = 0 To 355
            doc.Body.Children.Add(New RenderText(String.Format("Document body, line {0}.", i)))
        Next

        '' tear-off spacer:
        '' (absolutely positioned objects are not part of objects flow, so to make sure
        '' document content does not overlap absolutely positioned tearoff, this is needed)
        Dim tearoffSpace As New RenderEmpty
        tearoffSpace.Height = "3cm"
        '' VisibilityEnum.Hidden does not display the object but leaves the space for it:
        tearoffSpace.Visibility = VisibilityEnum.Hidden
        doc.Body.Children.Add(tearoffSpace)

        '' tear-off - absolutely positioned:
        Dim tearoff As New RenderTable
        tearoff.Cells(0, 0).Text = "This is New Footer for the last page"
        tearoff.Style.BackColor = Color.Aqua
        tearoff.Height = "5cm"
        tearoff.Style.Borders.Top = LineDef.Default
        tearoff.Y = "page.bottom - 5cm"
        doc.Body.Children.Add(tearoff)

        Me.C1PrintPreviewControl1.Document = doc
    End Sub
End Class
